.woocommerce-products-header {
    padding: 50px 0;
}

@media screen and (max-width: 480px) {
    .woocommerce-products-header {
        padding: 20px 0;
    }
}

.section-catalog-tree {
    position: relative;
}

.section-catalog-tree .mobile-catalog-menu {
    display: none;
}

.section-catalog-tree .catalog-menu-wrapper {
    position: relative;
    display: flex;
    padding: 0;
    margin: 0;
    justify-content: space-between;
    align-items: center;
}

.section-catalog-tree .catalog-menu-wrapper .catalog-menu-item {
    display: block;
}

.section-catalog-tree .catalog-menu-wrapper .catalog-menu-item .catalog-menu-item-link {
    position: relative;
    display: flex;
    padding: 0 15px;
    height: 68px;
    align-items: center;
    justify-content: center;
    background: #F8F9FA;
    text-decoration: none;
    transition: border-radius var(--transition);
}

.section-catalog-tree .catalog-menu-wrapper .catalog-menu-item-first .catalog-menu-item-link {
    border-radius: 12px 0 0 12px;
}

.section-catalog-tree .catalog-menu-wrapper .catalog-menu-item-last .catalog-menu-item-link {
    border-radius: 0 12px 12px 0;
}

.section-catalog-tree .catalog-menu-wrapper:hover .catalog-menu-item-first .catalog-menu-item-link {
    border-radius: 12px 0 0 0;
}

.section-catalog-tree .catalog-menu-wrapper:hover .catalog-menu-item-last .catalog-menu-item-link {
    border-radius: 0 12px 0 0;
}

.section-catalog-tree .catalog-menu-wrapper .catalog-menu-item .catalog-menu-item-link:before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #FFFFFF;
    box-shadow: 4px 4px 16px rgba(43, 45, 46, 0.12);
    border-radius: 12px 12px 0 0;
    z-index: 2;
    visibility: hidden;
    opacity: 0;
    transition: visibility var(--transition), opacity var(--transition);
}

.section-catalog-tree .catalog-menu-wrapper .catalog-menu-item.no-childs .catalog-menu-item-link:before {
    border-radius: 12px;
}

.section-catalog-tree .catalog-menu-wrapper .catalog-menu-item .catalog-menu-item-link:after {
    content: '';
    position: absolute;
    top: 100%;
    left: -16px;
    width: calc(100% + 32px);
    height: 20px;
    background: #FFFFFF;
    z-index: 2;
    visibility: hidden;
    opacity: 0;
    transition: visibility var(--transition), opacity var(--transition);
}

.section-catalog-tree .catalog-menu-wrapper .catalog-menu-item-first .catalog-menu-item-link:after {
    left: 0;
    width: calc(100% + 16px);
}

.section-catalog-tree .catalog-menu-wrapper .catalog-menu-item-last .catalog-menu-item-link:after {
    width: calc(100% + 16px);
}

.section-catalog-tree .catalog-menu-wrapper .catalog-menu-item.no-childs .catalog-menu-item-link:after {
    content: normal;
}

.section-catalog-tree .catalog-menu-wrapper .catalog-menu-item.hovered .catalog-menu-item-link:before,
.section-catalog-tree .catalog-menu-wrapper .catalog-menu-item .catalog-menu-item-link:hover:before,
.section-catalog-tree .catalog-menu-wrapper .catalog-menu-item .catalog-menu-item-link:hover:after,
.section-catalog-tree .catalog-menu-wrapper .catalog-menu-item.hovered .catalog-menu-item-link:after {
    visibility: visible;
    opacity: 1;
}

.section-catalog-tree .catalog-menu-wrapper .catalog-menu-item .catalog-menu-item-link svg {
    margin-right: 8px;
    width: 30px;
    height: 100%;
    min-width: 30px;
    max-height: 30px;
    z-index: 3;
}

.section-catalog-tree .catalog-menu-wrapper .catalog-menu-item .catalog-menu-item-link span {
    display: block;
    max-width: 160px;
    font-weight: 700;
    font-size: 12px;
    line-height: 16px;
    letter-spacing: 0.01em;
    color: var(--text-color-light-dark);
    z-index: 3;
}

.section-catalog-tree .catalog-menu-wrapper .catalog-submenu-wrapper {
    position: absolute;
    display: block;
    left: 0;
    top: 100%;
    width: 100%;
    background: #FFFFFF;
    opacity: 0;
    visibility: hidden;
    box-shadow: 4px 4px 16px rgba(43, 45, 46, 0.16);
    border-radius: 0 0 12px 12px;
    z-index: 1;
    transition: visibility var(--transition), opacity var(--transition);
}

.section-catalog-tree .catalog-menu-wrapper .catalog-menu-item:hover + .catalog-submenu-wrapper,
.section-catalog-tree .catalog-menu-wrapper .catalog-submenu-wrapper:hover {
    opacity: 1;
    visibility: visible;
}

.section-catalog-tree .catalog-menu-wrapper .catalog-submenu-wrapper .catalog-submenu {
    display: grid;
    padding: 32px 63px 0;
    grid-template-columns: repeat(5, 1fr);
    gap: 0 15px;
}

.section-catalog-tree .catalog-menu-wrapper .catalog-submenu-wrapper .catalog-submenu .catalog-submenu-item {
    display: block;
    min-height: 35px;
}

.section-catalog-tree .catalog-menu-wrapper .catalog-submenu-wrapper .catalog-submenu .catalog-submenu-item .catalog-submenu-item-link {
    font-weight: 600;
    font-size: 12px;
    line-height: 12px;
    letter-spacing: 0.02em;
    color: var(--text-color-light-dark);
    text-decoration: none;
    transition: all var(--transition);
}

.section-catalog-tree .catalog-menu-wrapper .catalog-submenu-wrapper .catalog-submenu .catalog-submenu-item-current .catalog-submenu-item-link,
.section-catalog-tree .catalog-menu-wrapper .catalog-submenu-wrapper .catalog-submenu .catalog-submenu-item .catalog-submenu-item-link:hover {
    font-weight: 700;
    font-size: 16px;
    line-height: 16px;
    letter-spacing: 0.02em;
    color: var(--green-accent);
}

.section-catalog-tree .catalog-menu-wrapper .catalog-submenu-wrapper .catalog-submenu-promo {
    display: flex;
    margin-top: 20px;
    padding: 39px 63px 38px;
    align-items: center;
    background: url("data:image/svg+xml,%3Csvg width='1200' height='8' viewBox='0 0 1200 8' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M0 0.5L275.5 0.50005L282.5 6.50005L289.252 0.499986L1200 0.499985' stroke='%23E5E5E5'/%3E%3C/svg%3E%0A") no-repeat top center / contain;
}

.section-catalog-tree .catalog-menu-wrapper .catalog-submenu-wrapper .catalog-submenu-promo .catalog-submenu-promo-item {
    display: flex;
    margin-right: 29px;
    padding: 6px 19px;
    align-items: center;
    color: var(--text-color-light-dark);
    background: var(--green-accent-lighter);
    border-radius: 22px;
    text-decoration: none;
    transition: opacity var(--transition);
}

.section-catalog-tree .catalog-menu-wrapper .catalog-submenu-wrapper .catalog-submenu-promo .catalog-submenu-promo-item:last-child {
    background: var(--blue-accent);
}

.section-catalog-tree .catalog-menu-wrapper .catalog-submenu-wrapper .catalog-submenu-promo .catalog-submenu-promo-item:hover {
    opacity: .7;
}

.section-catalog-tree .catalog-menu-wrapper .catalog-submenu-wrapper .catalog-submenu-promo .catalog-submenu-promo-item svg {
    margin-right: 14px;
}

.section-catalog-tree .catalog-menu-wrapper .catalog-submenu-wrapper .catalog-submenu-promo .catalog-submenu-promo-item .catalog-submenu-promo-item-name {
    display: block;
    min-width: 106px;
    font-style: normal;
    font-weight: 700;
    font-size: 12px;
    line-height: 32px;
}

@media screen and (max-width: 1200px) {
    .section-catalog-tree .mobile-catalog-menu {
        position: relative;
        display: flex;
        padding: 24px 26px;
        width: 100%;
        max-width: 350px;
        align-items: center;
        color: var(--text-color-light-dark);
        background-color: var(--green-accent-lighter);
        font-weight: 800;
        font-size: 16px;
        border: 0;
        border-radius: 12px;
        transition: border-radius var(--transition);
    }

    .section-catalog-tree .mobile-catalog-menu.opened {
        border-radius: 12px 12px 0 0;
    }

    .section-catalog-tree .mobile-catalog-menu .mobile-catalog-menu-icon {
        margin-right: 20px;
    }

    .section-catalog-tree .mobile-catalog-menu .mobile-catalog-menu-arrow {
        position: absolute;
        margin: auto;
        top: 0;
        bottom: 0;
        right: 21px;
        transform: rotate(180deg);
        transition: transform var(--transition);
    }

    .section-catalog-tree .mobile-catalog-menu.opened .mobile-catalog-menu-arrow {
        transform: rotate(0deg);
    }

    .section-catalog-tree .catalog-menu-wrapper {
        position: absolute;
        top: 72px;
        left: 0;
        z-index: 10;
        width: 100%;
        align-items: flex-start;
        flex-direction: column;
        opacity: 0;
        visibility: hidden;
        transition: opacity var(--transition), visibility var(--transition);
    }

    .section-catalog-tree .mobile-catalog-menu.opened + .catalog-menu-wrapper {
        opacity: 1;
        visibility: visible;
    }

    .section-catalog-tree .catalog-menu-wrapper .catalog-menu-item {
        width: 100%;
        max-width: 350px;
    }

    .section-catalog-tree .catalog-menu-wrapper .catalog-menu-item .catalog-menu-item-link {
        justify-content: flex-start;
    }

    .section-catalog-tree .catalog-menu-wrapper .catalog-menu-item-first .catalog-menu-item-link,
    .section-catalog-tree .catalog-menu-wrapper:hover .catalog-menu-item-first .catalog-menu-item-link {
        border-radius: 0;
    }

    .section-catalog-tree .catalog-menu-wrapper .catalog-menu-item-last .catalog-menu-item-link,
    .section-catalog-tree .catalog-menu-wrapper:hover .catalog-menu-item-last .catalog-menu-item-link {
        border-radius: 0 0 12px 12px;
    }

    .section-catalog-tree .catalog-menu-wrapper .catalog-menu-item .catalog-menu-item-link:before,
    .section-catalog-tree .catalog-menu-wrapper .catalog-menu-item .catalog-menu-item-link:after {
        content: normal;
    }

    .section-catalog-tree .catalog-menu-wrapper .catalog-submenu-wrapper {
        position: relative;
        top: auto;
        left: auto;
        width: 100%;
        max-width: 350px;
        border-radius: 0;
        height: 0;
        max-height: 200px;
        opacity: 1;
        visibility: visible;
        overflow: auto;
        transition: height var(--transition);
    }

    .section-catalog-tree .catalog-menu-wrapper .catalog-menu-item.opened + .catalog-submenu-wrapper {
        height: auto;
    }

    .section-catalog-tree .catalog-menu-wrapper .catalog-submenu-wrapper .catalog-submenu {
        padding: 15px 52px 0;
        grid-template-columns: 1fr;
        gap: 0;
    }

    .section-catalog-tree .catalog-menu-wrapper .catalog-submenu-wrapper .catalog-submenu-promo {
        display: block;
        margin: 0;
        padding: 23px 34px;
    }

    .section-catalog-tree .catalog-menu-wrapper .catalog-submenu-wrapper .catalog-submenu-promo .catalog-submenu-promo-item {
        margin: 0;
    }

    .section-catalog-tree .catalog-menu-wrapper .catalog-submenu-wrapper .catalog-submenu-promo .catalog-submenu-promo-item + .catalog-submenu-promo-item {
        margin-top: 10px;
    }
}

@media screen and (max-width: 480px) {
    .section-catalog-tree .mobile-catalog-menu,
    .section-catalog-tree .catalog-menu-wrapper .catalog-menu-item,
    .section-catalog-tree .catalog-menu-wrapper .catalog-submenu-wrapper {
        max-width: 100%;
    }
}

.woocommerce-no-products-found {
    padding: 20px 0;
}

.products {
    padding: 20px 0;
    opacity: 1;
    transition: opacity var(--transition);
}

.products.loading {
    opacity: 0;
}

.products:after {
    content: '';
    display: table;
    clear: both;
}

.products .product {
    float: left;
    width: calc(25% - 60px / 4);
    margin-bottom: 20px;
    background: var(--main-bg-color);
    border-radius: 12px;
    transition: box-shadow var(--transition);
}

@media screen and (max-width: 1200px) {
    .products .product {
        width: calc(33.33% - 40px / 3);
    }
}

@media screen and (max-width: 768px) {
    .products .product {
        width: calc(50% - 10px);
    }
}

@media screen and (max-width: 480px) {
    .products .product {
        width: 100%;
    }
}

.products .product:hover {
    z-index: 1;
    box-shadow: 4px 4px 16px rgba(43, 45, 46, 0.16);
}

.products .product .product-image-wrapper {
    position: relative;
    display: block;
    font-size: 0;
}

.products .product .product-image-wrapper .product-image {
    position: relative;
    display: block;
    overflow: hidden;
    border-radius: 12px 12px 0 0;
}

.products .product .product-image-wrapper .product-image:before {
    content: '';
    display: block;
    padding-bottom: 52.64%;
    transition: padding var(--transition);
}

.products .product:hover .product-image-wrapper .product-image:before {
    padding-bottom: 59.65%;
}

.products .product .product-image-wrapper .product-image img {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: auto;
}

.products .product .product-image-wrapper .product-image-full img {
    width: 100%;
    height: auto;
    border-radius: 12px 12px 0 0;
}

.products .product .product-content {
    padding: 19px;
    background: var(--main-bg-color);
    border: 1px solid var(--border-bottom-light-gray);
    border-radius: 0 0 12px 12px;
}

.products .product .product-content .product-title {
    display: block;
    font-weight: 800;
    font-size: 20px;
    line-height: 20px;
    color: var(--text-color-light-dark);
    text-decoration: none;
}

.products .product .product-content .product-title .product-plant-type {
    display: block;
    margin-bottom: 7px;
    font-weight: 500;
    font-size: 14px;
    line-height: 14px;
    color: var(--text-color-light-gray);
}

.products .product .product-content .product-hidden-content {
    margin-top: 17px;
    padding-top: 15px;
    max-height: 0;
    border-top: 1px solid var(--border-bottom-light-gray);
    overflow: hidden;
    transition: max-height var(--transition);
}

.products .product:hover .product-content .product-hidden-content {
    max-height: 500px;
}

.products .product .product-content .product-hidden-content .product-attributes {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
}

.products .product .product-content .product-hidden-content .product-attributes .product-attribute {
    display: flex;
    margin: 0 17px 10px 0;
    align-items: center;
}

.products .product .product-content .product-hidden-content .product-attributes .product-attribute svg {
    position: relative;
    margin-right: 8px;
    max-width: 16px;
    max-height: 16px;
    color: var(--text-color-light-gray);
}

.products .product .product-content .product-hidden-content .product-attributes .product-attribute svg use {
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    margin: auto;
}

.products .product .product-content .product-hidden-content .product-attributes .product-attribute span {
    display: block;
    font-weight: 500;
    font-size: 14px;
    line-height: 14px;
    color: var(--text-color-light-dark);
}

.products .product .product-content .product-description {
    padding-bottom: 17px;
    font-weight: 500;
    font-size: 12px;
    line-height: 14px;
    color: var(--text-color-light-gray);
}

.products .product .product-content .product-hidden-content .product-attributes + .product-description {
    margin-top: 6px;
}

.products .product .product-content .product-variations-wrapper,
.products .product .product-content .product-price-wrapper {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.products .product .product-content .product-price-wrapper {
    justify-content: flex-end;
}

.products .product .product-content .product-variations-wrapper select {
    padding: 0 13px;
    width: calc(100% - 116px);
    height: 36px;
    font-weight: 500;
    font-size: 14px;
    line-height: 14px;
    color: var(--text-color-light-dark);
    background: var(--light-bg-color);
    border-radius: 100px;
    border: 0;
    outline: 0;
    cursor: pointer;
}

.products .product .product-content .product-variations-wrapper .product-variation-price,
.products .product .product-content .product-price-wrapper .product-variation-price {
    width: 100px;
    height: 36px;
    font-weight: 700;
    font-size: 14px;
    line-height: 32px;
    background: var(--main-bg-color);
    color: var(--text-color-light-dark);
    border: 2px solid var(--green-accent-lighter);
    text-decoration: none;
    text-align: center;
    border-radius: 100px;
    transition: opacity var(--transition), visibility var(--transition), background-color var(--transition);
}

.products .product .product-content .product-variations-wrapper .product-variation-price:hover,
.products .product .product-content .product-price-wrapper .product-variation-price:hover {
    background-color: var(--green-accent-lighter);
}

.products .product .product-content .product-variations-wrapper .product-variation-price.hidden {
    opacity: 0;
    visibility: hidden;
}

.products .product .product-content .product-variations-wrapper .product-variation-price del,
.products .product .product-content .product-price-wrapper .product-variation-price del {
    display: none;
}

.products .product .product-content .product-variations-wrapper .product-variation-price ins,
.products .product .product-content .product-price-wrapper .product-variation-price ins {
    text-decoration: none;
}

.woocommerce-pagination ul {
    display: flex;
    padding: 20px 0;
    margin: 0;
    justify-content: center;
    align-items: center;
}

.woocommerce-pagination .page-numbers li {
    display: block;
    margin: 0 5px;
}

.woocommerce-pagination .page-numbers li a,
.woocommerce-pagination .page-numbers li span {
    display: block;
    width: 36px;
    height: 36px;
    font-weight: 700;
    font-size: 14px;
    line-height: 32px;
    background: var(--main-bg-color);
    color: var(--text-color-light-dark);
    border: 2px solid var(--green-accent-lighter);
    text-decoration: none;
    text-align: center;
    border-radius: 50%;
    transition: background-color var(--transition);
}

.woocommerce-pagination .page-numbers li span,
.woocommerce-pagination .page-numbers li a:hover {
    background-color: var(--green-accent-lighter);
}

.woocommerce-pagination .page-numbers li span.dots {
    background-color: transparent;
    border-color: transparent;
}